Subject: bug#6192: 24.0.50; eldoc-mode: unexpected recentering

From: Stefan Monnier <[email-masked]>
Date: Mon, 17 May 2010 15:55:51 -0400

> - We could by default show messages truncated. Then we could have a an
> idle timer that after maybe 2 second showed the message wrapped.

> That would stop the annoying jumping caused by messages we still do
> not have a chance to see in the echo area because they are overwritten
> by later message (often leaving the lower line blank in the echo
> area).

That is a largely orthogonal issue (e.g. for eldoc it probably wouldn't
be a good approach).

But yes, I'd like to introduce a new kind of message that doesn't just
"display it now" but rather "display this for N seconds, but return
right away".  I.e. a form of "message" that would queue the message for
display and then a separate "thread" that would display the
messages queued.  This would avoid/solve many of the "my message was
overwritten by yours" problems.

        Stefan